Subject: Re: bug#77140: [PATCH] Strip text properties on recentf entries

From: Ship Mints <[email-masked]>
Date: Fri, 21 Mar 2025 11:26:46 -0400

On Fri, Mar 21, 2025 at 11:13 AM Robert Pluim <[email-masked]> wrote:

> >>>>> On Fri, 21 Mar 2025 17:06:53 +0200, Eli Zaretskii <[email-masked]>
> said:
>
>     >> From: Ship Mints <[email-masked]>
>     >> Date: Fri, 21 Mar 2025 10:02:56 -0400
>     >> Cc: [email-masked], [email-masked]
>     >>
>     >> Thanks, but please make the lines in the log message shorter (see
>     >> CONTRIBUTE for guidance).  This includes both the heading and the
> rest
>     >> of the log message.
>     >>
>     >> This commit log entry summary is 64 chars (less than the 79 max
> target) and the rest of the log is filled to 72
>     >> (.dir-locals.el is in effect), so I'm missing what you are
> suggesting.
>
>     Eli> The log message is indented with a TAB when we generate the
> ChangeLog
>     Eli> file from the Git log, so the 72-character lines will be 81, more
> than
>     Eli> we'd like to see in ChangeLog.  CONTRIBUTE says "Lines in
> ChangeLog
>     Eli> entries should preferably be not longer than 63 characters" for
> that
>     Eli> reason.  Please try not to exceed this limit, unless you really
> must
>     Eli> (like if you need to quote a long URL there).
>
> If you use `log-edit-mode' to write your commit entries, you get this
> for free. From .dir-locals.el:
>
>  (log-edit-mode . ((log-edit-font-lock-gnu-style . t)
>                    (log-edit-setup-add-author . t)
>                    (vc-git-log-edit-summary-target-len . 50)
>                    (fill-column . 64)))
>

Thanks.  I saw that.  magit uses its own minor mode on top of text-mode.
Jonas seems thoughtful enough to have considered log-edit-mode, probably?